(function() {
    tinymce.create('tinymce.plugins.sympleBlog', {
        init : function(ed, url) {
            ed.addButton('symple_blog', {
                title : 'Insert Recent Blog Posts',
                image : url+'/images/blog-mce.png',
                onclick : function() {
                     ed.selection.setContent('[symple_blog count="-1" columns="3" pagination="false" thumbnail_hard_crop="true" thumbnail_height="" title="true" excerpt="true" excerpt_length="15" read_more="true" category_id="" tag_id=""]');

                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('symple_blog', tinymce.plugins.sympleBlog);
})();